Skip to content

List player images

GET/v1/players/{playerId}/images

GET
/v1/players/{playerId}/images
curl --request GET \
--url https://api.ligr.live/rest/v1/players/1/images \
--header 'Authorization: Bearer <token>'

Returns the player’s image for each player image template of your organization.

playerId
required

Entity identifier

integer format: int32
>= 1

The player id

Ok

Media typeapplication/json
object
images
required

One item per image template of the entity type, sorted by template id.

Array<object>

The image of one player, team or competition for one image template.

object
imageTemplateId
required

Entity identifier

integer format: int32
>= 1
templateName
required
string
width
required

Pixel width the image must have.

number format: double
height
required

Pixel height the image must have.

number format: double
url
required

URL of the entity’s image for the template. Null: the entity has no image for the template.

string
nullable
defaultImageUrl
required

URL of the template’s default image. Null: the template has no default image.

string
nullable
Examplegenerated
{
"images": [
{
"imageTemplateId": 1,
"templateName": "example",
"width": 1,
"height": 1,
"url": "example",
"defaultImageUrl": "example"
}
]
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Player or image template not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Organization has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}